development/protected/models/Productionevent.php
<?php

/**
 * This is the model class for table "tbl_productionevent".
 *
 * The followings are the available columns in table 'tbl_productionevent':
 * @property integer $id
 * @property integer $productionVenueID
 * @property string $startDate
 * @property integer $type
 * @property integer $recurs
 * @property string $recursStartDate
 * @property string $recursEndDate
 *
 * The followings are the available model relations:
 * @property Productionvenue $productionvenue
 */
class Productionevent extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tbl_productionevent';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('productionVenueID, startDate', 'required'),
			array('startDate','date','format'=>'mm-dd-yyyy HH:mm'),
			array('recursStartDate,recursEndDate','date','format'=>'mm-dd-yyyy'),
			array('recursStartDate,recursEndDate', 'customValidation'),
			array('productionVenueID, type, recurs', 'numerical', 'integerOnly'=>true),
			array('startDate, recursStartDate, recursEndDate', 'safe'),
			
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('id, productionVenueID, startDate, type, recurs, recursStartDate, recursEndDate', 'safe', 'on'=>'search'),
			array('startDate,recursStartDate,recursEndDate', 'default', 'setOnEmpty' => true, 'value' => null),
		);
	}
	
	
	public function customValidation($attribute,$params)
	{
		$labels = $this->attributeLabels(); // Getting labels of the attributes
		switch($attribute){
			case "recursStartDate":
				if ($this->recurs!=0)
				{
					if(empty($this->recursStartDate)){ 
						 $this->addError($attribute, $labels[$attribute]." cannot be blank."); 
					}
					$newDate1 = DateTime::createFromFormat('m-d-Y H:i', $this->startDate);
					$newDate2 = DateTime::createFromFormat('m-d-Y', $this->recursStartDate);
					$newDate2->setTime(23, 59, 59);
					if($newDate2<$newDate1){ 
						 $this->addError($attribute, $labels[$attribute]." cannot be earlier than event start date."); 
					}
				}
			break;
			case "recursEndDate":
				if ($this->recurs!=0)
				{
					if(empty($this->recursEndDate)){ 
						 $this->addError($attribute, $labels[$attribute]." cannot be blank."); 
					}
				}
			break;
		}
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'productionvenue' => array(self::BELONGS_TO, 'Productionvenue', 'productionVenueID'),
		);
	}
	
	/**
	 * @return array behavior rules.
	 */
	public function behaviors()
    {
		if(Yii::app()->name=='Theatre Profile')
		{
			return array(
				'AuditFieldBehavior' => array(
					// Path to AuditFieldBehavior class.
					'class' => 'audit.components.AuditFieldBehavior',
	 
					// Set to false if you just want to use getDbAttribute and other methods in this class.
					// If left unset the value will come from AuditModule::enableAuditField
					'enableAuditField' => null,
	 
					// Any additional models you want to use to write model and model_id audits to.  If this array is not empty then
					// each field modifed will result in an AuditField being created for each additionalAuditModels.
					'additionalAuditModels' => array(
						//'Post' => 'post_id',
					),
	 
					// A list of values that will be treated as if they were null.
					//'ignoreValues' => array('0', '0.0', '0.00', '0.000', '0.0000', '0.00000', '0.000000', '0000-00-00', '0000-00-00 00:00:00'),
				),
			);
		}
		else
		{
			return array();
		}
    }

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'productionVenueID' => 'Production',
			'startDate' => 'Performance Start Time',
			'type' => 'Type',
			'recurs' => 'Recurs',
			'recursStartDate' => 'Recurs Start Date',
			'recursEndDate' => 'Recurs End Date',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('productionVenueID',$this->productionVenueID);
		$criteria->compare('startDate',$this->startDate,true);
		$criteria->compare('type',$this->type);
		$criteria->compare('recurs',$this->recurs);
		$criteria->compare('recursStartDate',$this->recursStartDate,true);
		$criteria->compare('recursEndDate',$this->recursEndDate,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Productionevent the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	
	
	
	public function afterFind()
	{
		if(!empty($this->startDate))
		{
			$newDate = DateTime::createFromFormat('Y-m-d H:i:s', $this->startDate);
			$this->startDate = $newDate->format('m-d-Y H:i');
		}
		if(!empty($this->recursStartDate))
		{
			$newDate = DateTime::createFromFormat('Y-m-d', $this->recursStartDate);
			$this->recursStartDate = $newDate->format('m-d-Y');
		}
		if(!empty($this->recursEndDate))
		{
			$newDate = DateTime::createFromFormat('Y-m-d', $this->recursEndDate);
			$this->recursEndDate = $newDate->format('m-d-Y');
		}
		return parent::afterFind();
	}
	
	
	
	protected function beforeSave(){
		if(!empty($this->startDate))
		{
			$newDate = DateTime::createFromFormat('m-d-Y H:i', $this->startDate);
			$this->startDate = $newDate->format('Y-m-d H:i:s');
		}
		if(!empty($this->recursStartDate))
		{
			$newDate = DateTime::createFromFormat('m-d-Y', $this->recursStartDate);
			$this->recursStartDate = $newDate->format('Y-m-d');
		}
		if(!empty($this->recursEndDate))
		{
			$newDate = DateTime::createFromFormat('m-d-Y', $this->recursEndDate);
			$this->recursEndDate = $newDate->format('Y-m-d');
		}
		return parent::beforeSave();
	}
	
	
}

development/protected/controllers/ProductioneventController.php
<?php

class ProductioneventController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column1';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			//'accessControl', // perform access control for CRUD operations
			'rights',
			'postOnly + delete', // we only allow deletion via POST request
		);
	}
	
	public function allowedActions()
	{
		return '';
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate($id,$pvid=NULL)
	{
		$Venue = Venue::model()->findByPk($id);
		if(!Yii::app()->user->checkAccess('Venue.UpdateAccess',array('ownerships'=>$Venue->venueownerships)))
		{
			Yii::app()->user->setFlash('error', "You do not have the required privileges to modify this profile because it is owned by another user.");
			$this->redirect($Venue->createUrl());
		}
		
        foreach($Venue->productionvenues as $productionvenue) {
			$data[$productionvenue->id] = $productionvenue->production->show->showName.($productionvenue->production->productionName==''?'':' - '.$productionvenue->production->productionName);
        }
	
		$model=new Productionevent;
		$events=array();
		if(!empty($pvid))
		{
			$model->productionVenueID=$pvid;
			$Productionvenue=Productionvenue::model()->findByPk($pvid);	
			$Productionevents=$Productionvenue->productionevents;
			foreach($Productionevents as $Productionevent)
			{
				$events= array_merge_recursive($events,$this->processEvent($Productionevent));
			}
			usort($events, array($this, "date_compare"));
			
			
			
		}
		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Productionevent']))
		{
			$model->attributes=$_POST['Productionevent'];
			if(empty($Venue->venueownerships))
			{
				$model->type=0;
			}
			if($model->recurs==0)
			{
				$model->recursStartDate=null;
				$model->recursEndDate=null;
			}
			if($model->save())
			{
				Yii::app()->user->setFlash('success', "Event successfully added.");
				$this->redirect(array('update','id'=>$model->id));
			}
		}
		
		$this->render('create',array(
			'model'=>$model,'venue'=>$Venue,'data'=>$data,'events'=>$events
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 * @param integer $id the ID of the model to be updated
	 */
	public function actionUpdate($id)
	{
		$model=$this->loadModel($id);
		$Venue = $model->productionvenue->venue;
		$events=array();
		if(!Yii::app()->user->checkAccess('Venue.UpdateAccess',array('ownerships'=>$Venue->venueownerships)))
		{
			Yii::app()->user->setFlash('error', "You do not have the required privileges to modify this profile because it is owned by another user.");
			$this->redirect($Venue->createUrl());
		}
		
		$Productionvenue=$model->productionvenue;	
		$Productionevents=$Productionvenue->productionevents;
		foreach($Productionevents as $Productionevent)
		{
			$events= array_merge_recursive($events,$this->processEvent($Productionevent));
		}
		usort($events, array($this, "date_compare"));
		
		if($model->recurs!=0)
		{
			Yii::app()->user->setFlash('info', "This is a recurring event. Modifying this record will affect all recurring instances of the event.");
		}			
		
		foreach($model->productionvenue->venue->productionvenues as $productionvenue) {
                $data[$productionvenue->id] = $productionvenue->production->show->showName.($productionvenue->production->productionName==''?'':' - '.$productionvenue->production->productionName);
        }

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		
		if(isset($_POST['Productionevent']))
		{
			$model->attributes=$_POST['Productionevent'];
			if(empty($Venue->venueownerships))
			{
				$model->type=0;
			}
			if($model->recurs==0)
			{
				$model->recursStartDate=null;
				$model->recursEndDate=null;
			}
			if($model->save())
			{
				Yii::app()->user->setFlash('success', "Event successfully updated.");
				$this->redirect(array('update','id'=>$model->id));
			}
		}

		$this->render('update',array(
			'model'=>$model,'venue'=>$model->productionvenue->venue,'data'=>$data,'events'=>$events
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'admin' page.
	 * @param integer $id the ID of the model to be deleted
	 */
	public function actionDelete($id)
	{
		$model=$this->loadModel($id);
		$Venue = $model->productionvenue->venue;
		if(!Yii::app()->user->checkAccess('Venue.UpdateAccess',array('ownerships'=>$Venue->venueownerships)))
		{
			Yii::app()->user->setFlash('error', "You do not have the required privileges to modify this profile because it is owned by another user.");
			$this->redirect(array('venue/schedule','id'=>$Venue->id));
		}
		
		$this->loadModel($id)->delete();
		Yii::app()->user->setFlash('success', "Event successfully deleted.");
		$this->redirect(array('venue/schedule','id'=>$Venue->id));

		// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
		//if(!isset($_GET['ajax']))
			//$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer $id the ID of the model to be loaded
	 * @return Productionevent the loaded model
	 * @throws CHttpException
	 */
	public function loadModel($id)
	{
		$model=Productionevent::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param Productionevent $model the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='productionevent-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
	
	
	/**
	 * Performs the AJAX validation.
	 * @param Productionevent $model the model to be validated
	 */
	public function actionSubmitEventInfo($id,$elsid)
	{
		$Productionevent=$this->loadModel($id);	
		$vid = $Productionevent->productionvenue->venueID;
		$Venue=$Productionevent->productionvenue->venue;
		if(!Yii::app()->user->checkAccess('Venue.UpdateAccess',array('ownerships'=>$Venue->venueownerships)))
		{
			Yii::app()->user->setFlash('error', "You do not have the required privileges to modify this profile because it is owned by another user.");
			throw new CHttpException(403,'You do not have the privileges required to perform this action.');
		}
		
		$Production=$Productionevent->productionvenue->production;
		$Productionevents=$Productionevent->productionvenue->productionevents;
		$Show=$Production->show;
		$title = $Show->showName;
		$description = ($Production->descr==''?$Show->showDesc:$Production->descr);
		$eventUrl = $Production->createUrl();
		$profile_image=Profileimage::model()->with('image')->find('profileType=2 AND profileID='.$Production->id);
		$image_url='';
				
		if(isset($profile_image->image->imageURL))
		{
			$image_url=Yii::app()->params["mediaServeUrl"].'/images/serve/uploads/'.pathinfo($profile_image->image->imageURL,PATHINFO_FILENAME).'_w140h220.'.pathinfo($profile_image->image->imageURL,PATHINFO_EXTENSION);
		}
		else
		{
			$profile_image=Profileimage::model()->with('image')->find('profileType=1 AND profileID='.$Show->id);
			if(isset($profile_image->image->imageURL))
			{
				$image_url=Yii::app()->params["mediaServeUrl"].'/images/serve/uploads/'.pathinfo($profile_image->image->imageURL,PATHINFO_FILENAME).'_w140h220.'.pathinfo($profile_image->image->imageURL,PATHINFO_EXTENSION);
			}
			else
			{					
				$image_url=Yii::app()->params["mediaServeUrl"].'/images/default/default_140x220.gif';
			}
		}
		$links = Link::model()->findAll('profileType=5 AND profileID='.$Productionevent->productionVenueID.' and linkType=1');
		$subject='Event Schedule - '.$title;
		$header='<tr><td colspan="2">This event information is being submitted by <a target="_blank" href="http://www.theatreprofile.com">Theatre Profile</a> on behalf of '.Yii::app()->getModule('user')->user()->profile->getAttribute('firstname').' '.Yii::app()->getModule('user')->user()->profile->getAttribute('lastname').'.</td></tr>';
		$header=$header.'<tr><td valign="top" width="105px" height="165px"><img src="'.$image_url.'" width="105px" height="165px" /></td><td valign="top">';
		$header=$header.'<p><a target="_blank" href="'.$Production->createAbsoluteUrl().'">'.$title.'</a></p>';
		$header=$header.'<p><a target="_blank" href="'.$Venue->createAbsoluteUrl().'">'.$Venue->venueName.'</a>: '.$Venue->address->addr1.', '.$Venue->address->city.', '.$Venue->address->state.', '.$Venue->address->country->countryName.'</p>';
		$header=$header.'<p>First preview: '.$Production->firstPreviewDate.'</p>';
		$header=$header.'<p>Open: '.$Production->startDate.'</p>';
		$header=$header.'<p>Close: '.$Production->endDate.'</p>';
		if(count($links))
		{
			$header=$header.'<p>';
			foreach($links as $link)
			{
				$header=$header.'<a href="'.$link->href.'">'.$link->label.'</a> ('.$link->href.')<br />';
			}
			$header=$header.'</p>';
		}
		$header=$header.'</td></tr>';
		if($description!='')
			$header=$header.'<tr><td colspan="2"><p>'.$description.'</p></td></tr>';
		else
			$header=$header.'<tr><td colspan="2"><p>Event description not available.</p></td></tr>';
		$header=$header.'<tr><td colspan="2" style="border-bottom:1px solid black"><strong>Schedule*</strong></td></tr>';
		$items=array();
		$body='';
		foreach($Productionevents as $Productionevent)
		{

development/protected/views/productionevent/_form.php
<?php
/* @var $this ProductioneventController */
/* @var $model Productionevent */
/* @var $form CActiveForm */
$cs = Yii::app()->getClientScript();
$cs->registerCoreScript('jquery',CClientScript::POS_HEAD);
$cs->registerCoreScript('jquery.ui',CClientScript::POS_HEAD);
$cs->registerCssFile($cs->getCoreScriptUrl(). '/jui/css/base/jquery-ui.css');
$cs->registerCssFile(Yii::app()->baseUrl.'/css/jquery-ui-timepicker-addon.min.css');
$cs->registerScriptFile(Yii::app()->baseUrl.'/js/jquery-ui-timepicker-addon.min.js',CClientScript::POS_END);
Yii::app()->clientScript->registerCss("viewStyle",".combine-parent {padding: 5px;margin-top:2px;margin-bottom:2px;} .combine-child{margin-top:-5px;border-top:none;}"
);
?>
<div class="form">
	<?php $form=$this->beginWidget('CActiveForm', array(
		'id'=>'productionevent-form',
		// Please note: When you enable ajax validation, make sure the corresponding
		// controller action is handling ajax validation correctly.
		// There is a call to performAjaxValidation() commented in generated controller code.
		// See class documentation of CActiveForm for details on this.
		'enableAjaxValidation'=>false,
	)); ?>
	
	<div class="row-fluid">
		<div class="well">
			<div class="venueInfo">
				<div class="media">
					<?php
					$profile_image=Profileimage::model()->with('image')->find('profileType=4 AND profileID='.$venue->id);
					if(isset($profile_image->image->imageURL))
					{
						$image_url=Yii::app()->params["mediaServeUrl"].'/images/serve/uploads/'.pathinfo($profile_image->image->imageURL,PATHINFO_FILENAME).'_w250h150.'.pathinfo($profile_image->image->imageURL,PATHINFO_EXTENSION);	
						Yii::app()->clientScript->registerMetaTag(yii::app()->getBaseUrl(true).'/images/uploads/'.$profile_image->image->imageURL, null, null, array('property' => "og:image"));
					}
					else
					{
						$image_url=yii::app()->request->baseUrl.'/images/default/default_250x150.gif';
					}
					?>
					<div class="pull-left text-center">
						<div class="pnl-profile-pic">
							<img class="media-object" src="<?php echo $image_url; ?>" width="250px" height="150px" alt="" />
						</div>
					</div>
				
					<div class="media-body">
						<div class="media-heading">
							<h1 class="inline"><?php echo $venue->venueName; ?></h1>
						</div>
						<ul class="unstyled">
							<?php
								echo '<li><span>'.$venue->address->addr1.'</span></li>';
								echo '<li><span>'.$venue->address->city.', '.$venue->address->state.', '.$venue->address->zip.'</span></li>';
								echo '<li><span>'.$venue->address->country->countryName.'</span></li>';
							?>
						</ul>
					</div>
				</div>
				<?php
				echo '<p class="clear">'.$venue->descr.'</p>';
				?>
			</div>
		</div>
	</div>
	
	
	<div class="row-fluid">
		<div class="span12">
			
			<?php echo $form->errorSummary($model); ?>
			<div class="row span12">
				<div class="span6">
					<p class="note">Fields with <span class="required">*</span> are required.</p>
					<?php echo $form->labelEx($model,'productionVenueID'); ?>
					<?php
					echo $form->dropDownList($model,'productionVenueID', $data,array('class'=>'span12','prompt'=>'Select'));?>
					<?php echo $form->error($model,'productionVenueID'); ?>
				
					<?php echo $form->labelEx($model,'startDate'); ?>
					<?php echo $form->textField($model,'startDate',array('class'=>'span12',"rel"=>"tooltip","title"=>"MM-DD-YYYY HH:MM","data-placement"=>"right")); ?>
					<?php echo $form->error($model,'startDate'); ?>
				
					<?php echo $form->labelEx($model,'type'); ?>
					<?php
					if(!empty($venue->venueownerships))
					{
						echo '<div class="compactRadioGroup">';
						echo $form->radioButtonList($model,'type',array(0=>'Public',1=>'Private'), array('separator' => " "));
						echo '</div>';
					}
					else
					{
						echo '<div class="compactRadioGroup" rel="tooltip" data-placement="right" title="Private events are only available on claimed profiles.">';
						echo $form->radioButtonList($model,'type',array(0=>'Public',1=>'Private'), array('separator' => " ","disabled"=>"disabled")); 
						echo '</div>';
					}
					?>
					<?php echo $form->error($model,'type'); ?>
				
					<?php echo $form->labelEx($model,'recurs'); ?>
					<div class="compactRadioGroup">
					<?php echo $form->radioButtonList($model,'recurs',array(0=>'None',1=>'Daily',2=>'Weekly'), array('separator' => " ",'onchange' => 'toggleRecurAttributes(this.value);')); ?>
					</div>
					<?php echo $form->error($model,'recurs'); ?>
				
					<div class="recurAttribute <?php echo $model->recurs==0?'hide':''; ?>">
						<?php echo $form->labelEx($model,'Recurs Start Date <span class="required">*</span>'); ?>
						<?php echo $form->textField($model,'recursStartDate',array('class'=>'span12',"rel"=>"tooltip","title"=>"MM-DD-YYYY","data-placement"=>"right")); ?>
						<?php echo $form->error($model,'recursStartDate'); ?>
					</div>

					<div class="recurAttribute <?php echo $model->recurs==0?'hide':''; ?>">
						<?php echo $form->labelEx($model,'Recurs End Date <span class="required">*</span>'); ?>
						<?php echo $form->textField($model,'recursEndDate',array('class'=>'span12',"rel"=>"tooltip","title"=>"MM-DD-YYYY","data-placement"=>"right")); ?>
						<?php echo $form->error($model,'recursEndDate'); ?>
					</div>

					<div>
						<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save',array('class'=>'btn btn-large btn-primary')); ?>
						<?php
							echo CHtml::link("Delete Event", '#', array('submit'=>array('productionevent/delete', "id"=>$model->id),"class"=>"btn btn-large btn-primary"));
						?>
						<?php if(!$model->isNewRecord) echo '<a class="btn btn-large btn-primary inline" href="'.Yii::app()->createUrl('productionevent/create').'/'.$venue->id.'">Add New Event</a>'; ?>
				</div>
					</div>
				<div class="span6 pull-right">
					<div class="well well-small combine-parent">
						<strong>All events for this production</strong>
					</div>
					<div class="mini-layout combine-child">
						<?php
							if(isset($events))
							{
								foreach($events as $event)
								{
									echo '<a class="btn btn-small btn-block" href="'.$event['href'].'">'.$event['startDate'].' '.$event['startTime'].'</a>';
								}								
							}
						?>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
<?php Yii::app()->clientScript->registerScript('viewScript',
<<<JS
function toggleRecurAttributes(val)
{
	if(val==0)
		$(".recurAttribute").hide('slideup');
	else
	{
		$(".recurAttribute").show('slidedown');
		$("#Productionevent_recursStartDate").datepicker( "setDate", $("#Productionevent_startDate").datetimepicker('getDate'));
		$("#Productionevent_recursStartDate").datepicker( "setDate", $("#Productionevent_startDate").datetimepicker('getDate'));
		$("#Productionevent_recursEndDate").datepicker( "setDate", $("#Productionevent_startDate").datetimepicker('getDate'));
	}
}
$("#Productionevent_startDate").datetimepicker({dateFormat:"mm-dd-yy",timeFormat: 'HH:mm', minDate: '-1Y',  maxDate: '+2Y', changeMonth:true, changeYear:true});
$("#Productionevent_recursStartDate").datepicker({dateFormat:"mm-dd-yy", minDate: '-1Y',  maxDate: '+2Y', changeMonth:true, changeYear:true});
$("#Productionevent_recursEndDate").datepicker({dateFormat:"mm-dd-yy", minDate: '-1Y',  maxDate: '+2Y', changeMonth:true, changeYear:true});
$("#Productionevent_recursStartDate").change(function (e) {
	if($("#Productionevent_recursStartDate").datetimepicker('getDate')>$("#Productionevent_recursEndDate").datetimepicker('getDate'))
		$("#Productionevent_recursEndDate").datepicker( "setDate", $("#Productionevent_recursStartDate").datetimepicker('getDate'));
});
$("#Productionevent_productionVenueID").change(function (e) {
	if($("#Productionevent_productionVenueID").val())
		window.location.replace(window.location.pathname+'?pvid='+$("#Productionevent_productionVenueID").val());
	else
				window.location.replace(window.location.pathname);
});
//$("#Productionevent_startDate").change(function (e) {
//	if($('input[name="Productionevent\\[recurs\\]"]:checked').val()!==0)
//	{
//		$("#Productionevent_startDate").val($("#Productionevent_startDate").datetimepicker('getDate'));
//		$("#Productionevent_recursEndDate").val($("#Productionevent_startDate").datetimepicker('getDate'));
//	}
//});
JS
);
?>

development/protected/views/productionevent/create.php
<?php
/* @var $this ProductioneventController */
/* @var $model Productionevent */

$pageTitle='Events - '.$venue->venueName." - Venue - ".Yii::app()->name;
$this->pageTitle=$pageTitle;
Yii::app()->clientScript->registerMetaTag($pageTitle, null, null, array('property' => "og:title"));
Yii::app()->clientScript->registerMetaTag($venue->descr, null, null, array('property' => "og:description"));
$this->breadcrumbs=array('Venues'=>array('/venue'),$venue->venueName=>$venue->createUrl(),'Schedule'=>array('/venue/schedule'.'/'.$venue->id),'Events');
?>

<h1>Create Event</h1>

<?php $this->renderPartial('_form', array('model'=>$model,'venue'=>$venue,'data'=>$data,'events'=>$events)); ?>

development/protected/views/productionevent/update.php
<?php
/* @var $this ProductioneventController */
/* @var $model Productionevent */

$pageTitle='Events - '.$venue->venueName." - Venue - ".Yii::app()->name;
$this->pageTitle=$pageTitle;
Yii::app()->clientScript->registerMetaTag($pageTitle, null, null, array('property' => "og:title"));
Yii::app()->clientScript->registerMetaTag($venue->descr, null, null, array('property' => "og:description"));
$this->breadcrumbs=array('Venues'=>array('/venue'),$venue->venueName=>$venue->createUrl(),'Schedule'=>array('/venue/schedule'.'/'.$venue->id),'Events');
?>

<h1>Update Event</h1>

<?php $this->renderPartial('_form', array('model'=>$model,'venue'=>$venue,'data'=>$data,'events'=>$events)); ?>